export declare const defaultNetworkConfig: {
    server: {
        baseDir: string;
        p2p: {
            existingArchivers: {
                ip: string;
                port: number;
                publicKey: string;
            }[];
        };
        ip: {
            externalIp: string;
            externalPort: number;
            internalIp: string;
            internalPort: number;
        };
        reporting: {
            report: boolean;
            recipient: string;
            interval: number;
            console: boolean;
        };
    };
};
export type networkConfigType = typeof defaultNetworkConfig;
export declare const networkConfigSchema: {
    type: string;
    properties: {
        server: {
            type: string;
            properties: {
                baseDir: {
                    type: string;
                };
                p2p: {
                    type: string;
                    properties: {
                        existingArchivers: {
                            type: string;
                            items: {
                                type: string;
                                properties: {
                                    ip: {
                                        type: string;
                                    };
                                    port: {
                                        type: string;
                                        minimum: number;
                                        maximum: number;
                                    };
                                    publicKey: {
                                        type: string;
                                    };
                                };
                                required: string[];
                            };
                        };
                    };
                    required: string[];
                };
                ip: {
                    type: string;
                    properties: {
                        externalIp: {
                            type: string;
                        };
                        externalPort: {
                            type: string;
                            minimum: number;
                            maximum: number;
                        };
                        internalIp: {
                            type: string;
                        };
                        internalPort: {
                            type: string;
                            minimum: number;
                            maximum: number;
                        };
                    };
                    required: string[];
                };
                reporting: {
                    type: string;
                    properties: {
                        report: {
                            type: string;
                        };
                        recipient: {
                            type: string;
                        };
                        interval: {
                            type: string;
                            minimum: number;
                        };
                        console: {
                            type: string;
                        };
                    };
                    required: string[];
                };
            };
            required: string[];
        };
    };
    required: string[];
};
export type nodeProgressType = {
    nodeInfo: {
        id: string;
        publicKey: string;
        curvePublicKay: string;
        externalIP: string;
        internalIP: string;
        externalPort: number;
        internalPort: number;
        status: string;
    };
    lastRotationIndex: {
        idx: number;
        total: number;
    };
    activeNodes: number;
    lastActiveTime: number;
    totalActiveTime: number;
};
