#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = require("commander");
const cliPackageJson = require("../package.json");
const dotenv = require("dotenv");
const gui_commands_1 = require("./gui-commands");
const node_commands_1 = require("./node-commands");
const path = require("path");
dotenv.config();
process.chdir(path.join(__dirname, '..')); // specify the path to the build folder
const program = new commander_1.Command();
program
    .name('operator-cli')
    .description('CLI part of the operator dashboard')
    .version(cliPackageJson.version);
/** === NODE === */
(0, node_commands_1.registerNodeCommands)(program);
/** === GUI === */
(0, gui_commands_1.registerGuiCommands)(program);
// Run the program and parse the cli
program.parse();
//# sourceMappingURL=index.js.map