export default class tcache {
    val: Map<string, string>;
    time: Map<string, Date>;
    valPath: string;
    timePath: string;
    constructor();
    readMaps(): void;
    writeMaps(): void;
    /**
     * Set a value in the cache
     * @param key Key to get value for
     * @param value Value to set
     * @param ttl Number of milliseconds for time to live
     */
    set(key: string, value: string, ttl: number): void;
    /**
     * Fetch a value from the cache
     * @param key Key to get value for
     * @returns Value if it exists and is not expired, undefined otherwise
     */
    get(key: string): string | undefined;
}
